Get a website product
curl --request GET \
--url https://api.lindo.ai/v1/workspace/website/{website_id}/products/{product_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lindo.ai/v1/workspace/website/{website_id}/products/{product_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lindo.ai/v1/workspace/website/{website_id}/products/{product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "prod_abc123",
"name": "<string>",
"description": "<string>",
"active": true,
"default_price": {
"id": "<string>",
"currency": "<string>",
"unit_amount": 123,
"recurring": {
"interval": "<string>",
"interval_count": 123
}
},
"metadata": {},
"images": [
"<string>"
],
"created": 123
}
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}Product Management
Get a website product
GET
/
v1
/
workspace
/
website
/
{website_id}
/
products
/
{product_id}
Get a website product
Authorizations
Enter your API key (starts with lindo_sk_)
Path Parameters
Unique identifier of the website
Example:
"webAbc1234567890123"
Stripe product identifier
Example:
"prod_abc123"
Was this page helpful?

